<odoo>
    <record id="view_wxwork_config_settings" model="ir.ui.view">
        <field name="name">wxwork.config.settings.form</field>
        <field name="model">wxwork.config.settings</field>
        <field name="arch" type="xml">
            <form string="企业微信设置" class="o_setting_view">
                <header>
                    <button string="保存" type="object" name="execute" class="oe_highlight"/>
                    <button string="取消" type="object" name="cancel" class="oe_link"/>
                </header>
                <sheet>
                    <label for="wxwork_corp_id" string="企业微信CorpID"/>
                    <div>
                        <field name="wxwork_corp_id" placeholder="请输入企业微信CorpID"/>
                    </div>
                    <label for="wxwork_secret" string="审批Secret"/>
                    <div>
                        <field name="wxwork_secret" placeholder="请输入企业微信Secret"/>
                    </div>
                </sheet>
            </form>
        </field>
    </record>

    <record id="action_wxwork_config" model="ir.actions.act_window">
        <field name="name">企业微信设置</field>
        <field name="res_model">wxwork.config.settings</field>
        <field name="view_mode">form</field>
        <field name="target">inline</field>
    </record>

    <menuitem id="menu_wxwork_config" name="企业微信设置" parent="base.menu_administration"
              action="action_wxwork_config" sequence="10"/>
</odoo>
